package tutorialJava.capitulo5.ejercicios.bloque04_instanciasVsStatic.usuarios;

public class Principal {
    public static void main(String[] args) {
        // Crear usuarios
        Usuario usuario1 = new Usuario("Alicia");
        Usuario usuario2 = new Usuario("Juan");
        Usuario usuario3 = new Usuario("Mafalda");

        // Mostrar el total de usuarios registrados
        System.out.println("Total de usuarios registrados: " + Usuario.obtenerTotalUsuarios());

        // Eliminar un usuario
        usuario2.eliminarUsuario();

        // Mostrar el total de usuarios después de la eliminación
        System.out.println("Total de usuarios registrados: " + Usuario.obtenerTotalUsuarios());

        // Eliminar otro usuario
        usuario1.eliminarUsuario();

        // Mostrar el total de usuarios después de otra eliminación
        System.out.println("Total de usuarios registrados: " + Usuario.obtenerTotalUsuarios());
    }
}